package telegram

import (
	log "github.com/sirupsen/logrus"
	tb "gopkg.in/tucnak/telebot.v2"
)

func (bot TipBot) tryForwardMessage(to tb.Recipient, what tb.Editable, options ...interface{}) (msg *tb.Message) {
	msg, err := bot.Telegram.Forward(to, what, options...)
	if err != nil {
		log.Errorln(err.Error())
	}
	return
}
func (bot TipBot) trySendMessage(to tb.Recipient, what interface{}, options ...interface{}) (msg *tb.Message) {
	msg, err := bot.Telegram.Send(to, what, options...)
	if err != nil {
		log.Errorln(err.Error())
	}
	return
}

func (bot TipBot) tryReplyMessage(to *tb.Message, what interface{}, options ...interface{}) (msg *tb.Message) {
	msg, err := bot.Telegram.Reply(to, what, options...)
	if err != nil {
		log.Errorln(err.Error())
	}
	return
}

func (bot TipBot) tryEditMessage(to tb.Editable, what interface{}, options ...interface{}) (msg *tb.Message) {
	msg, err := bot.Telegram.Edit(to, what, options...)
	if err != nil {
		log.Errorln(err.Error())
	}
	return
}

func (bot TipBot) tryDeleteMessage(msg tb.Editable) {
	err := bot.Telegram.Delete(msg)
	if err != nil {
		log.Errorln(err.Error())
	}
}
